/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * Version : 24/03/2016 : SCA : V2.2 (PSWS-H2020)
 * 2D to 3D
 * VERSION : 27/10/2022 : LBE
 * DM-ID : redmine#9229 : 27/10/2022 : lenth compute method
 * ----------------------------------------
 */
package fr.tlse.irap.pos;

public class Position {

    protected double x;
    protected double y;
    protected double z;

    public Position() {
    }

    public Position(double x, double y, double z) {
        this.x = x;
        this.y = y;
        this.z = z;
    }

    public double getX() {
        return x;
    }
    public void setX(double x) {
        this.x = x;
    }
    public double getY() {
        return y;
    }
    public void setY(double y) {
        this.y = y;
    }
    public double getZ() {
        return z;
    }
    public void setZ(double z) {
        this.z = z;
    }
    /**
     * Get vector length.
     * @return Length
     */
    public double length() {
        return Math.sqrt(x*x+y*y+z*z);
    }

}

